<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet 
  version="1.0"
  xmlns:xsl = "http://www.w3.org/1999/XSL/Transform"
  xmlns:rdf = "http://www.w3.org/1999/02/22-rdf-syntax-ns#"
  xmlns:sy  = "http://purl.org/rss/1.0/modules/syndication/"
  xmlns:dc  = "http://purl.org/dc/elements/1.1/"
  xmlns:xh  = "http://www.w3.org/1999/xhtml"
  xmlns     = "http://purl.org/rss/1.0/" >
  
  <xsl:output method="xml" encoding="UTF-8" omit-xml-declaration="no" indent="no" />
  
  <xsl:variable name="baseUrl"     select="'あなたのサイトのルートURL'" />
  <xsl:variable name="index"       select="concat($baseUrl, 'サイトのトップページ名')" />
  <xsl:variable name="rdfphp"      select="concat($baseUrl, 'RSS配信ページ名')" />
  <xsl:variable name="entryphp"    select="concat($baseUrl, '１件分のエントリ表示ページ名')" />
  <xsl:variable name="title"       select="'サイト名'" />
  <xsl:variable name="description" select="'サイトの説明'" />
  <xsl:variable name="subject"     select="'カテゴリ名'" />
  
  <xsl:template match="/entrylist">
    
    <rdf:RDF xmlns="http://purl.org/rss/1.0/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#" xml:lang="ja">
    
      <channel rdf:about="{$index}">
        <title><xsl:value-of select="$title" /></title>
        <link><xsl:value-of select="$index" /></link>
        <description><xsl:value-of select="$description" /></description>
        <items>
          <rdf:Seq>
            
            <xsl:for-each select="entry">
              
              <rdf:li rdf:resource="{$entryphp}{@href}"/>
            
            </xsl:for-each>
          
          </rdf:Seq>
        </items>
      </channel>
      
      <xsl:for-each select="entry">
      
        <item rdf:about="{$entryphp}{@href}">
          <title><xsl:value-of select="タイトル用項目名" /></title>
          <link><xsl:value-of select="concat($entryphp,@href)" /></link>
          <description><xsl:value-of select="説明用項目名" /></description>
          <dc:date><xsl:value-of select="@year" />-<xsl:value-of select="@month" />-<xsl:value-of select="@day" />T<xsl:value-of select="@hour" />:<xsl:value-of select="@minute" />:<xsl:value-of select="@second" />+09:00</dc:date>
          <dc:subject><xsl:value-of select="$subject" /></dc:subject>
        </item>
      
      </xsl:for-each>
      
    </rdf:RDF>
  
  </xsl:template>
</xsl:stylesheet>